#
# spec file for package python-user-agents
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-user-agents
Version:        2.2.0
Release:        2.6
Summary:        A library to identify device capabilities (phones, tablets)
License:        MIT
URL:            https://github.com/selwin/python-user-agents
Source:         https://github.com/selwin/python-user-agents/archive/v%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module ua-parser >= 0.10.0}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-ua-parser >= 0.10.0
BuildArch:      noarch
%python_subpackages

%description
Python library that can identify/detect devices like mobile phones,
tablets and their capabilities by parsing (browser/HTTP) user agent
strings.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}/%{$python_sitelib}

%check
%pyunittest

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/user_agents
%{python_sitelib}/user_agents-%{version}.dist-info

%changelog
* Mon Jan 15 2024 Antonio Larrosa <alarrosa@suse.com>
- Use %%sle15_python_module_pythons
* Thu Jul 13 2023 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.2.0:
  * ua-parser >= 0.10.0 is required.
  * Added get_device(), get_os() and get_browser() instance methods
    to UserAgent.
- Stop using greedy globs in %%files.
- Switch to pyproject and more recent testing macros.
* Tue Mar 10 2020 pgajdos@suse.com
- version update to 2.1.0
  * no upstream changelog found
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Fri Apr 12 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 2.0
  * python-user-agents now require ua-parser>=0.8.0.
* Wed Aug  8 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Aug  1 2018 tchvatal@suse.com
- Fix dependencies
- Run tests
- Install license
* Wed Jan 10 2018 adrian@suse.de
- initial package of version 1.1.0
